Bug 348271 - Port squirrelmail to use NSS library for cryptography
Port squirrelmail to use NSS library for cryptography
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: CryptoConsolidation
  Show dependency treegraph
 
Reported: 2007-10-23 06:23 EDT by Peter Vrabec
Modified: 2008-08-28 02:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-28 02:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2007-10-23 06:23:15 EDT
squirrelmail should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 Tomas 2007-10-24 04:12:52 EDT
Standard SquirrelMail package uses only own one time pad functions. Other crypto
functions are provided by PHP. PHP does not provide NSS functions. Link PHP
OpenSSL extension to NSS and SquirrelMail will use NSS. Not a SquirrelMail bug.
All your links are about porting C apps and none talks about porting PHP scripts.
Comment 2 John Poelstra 2008-08-27 23:40:43 EDT
Should this bug be closed based on the information in comment #1?

Note You need to log in before you can comment on or make changes to this bug.